if latency_datacenter > latency_cache && connected(endpoint, cache)
	cache_wel
	if predictedrequestA > predictedrequestB
		cache_op_snelste(predictedrequestA)
	else
		cache_op_snelste(predictedrequestB)
else
	cache_niet


def cache_niet:
	//TODO les, implement

def cache_wel:
	//TODO les, implement

